Bug 60092 - View Result Tree: Add shortened version of the PUT body to sampler result.
Summary: View Result Tree: Add shortened version of the PUT body to sampler result.
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 3.0
Hardware: All All
: P1 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-06 20:53 UTC by nhgtanonymous
Modified: 2016-11-12 14:14 UTC (History)
1 user (show)



Attachments
Add shortened PUT body to sampler result (2.19 KB, patch)
2016-09-15 19:04 UTC, Felix Schumacher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nhgtanonymous 2016-09-06 20:53:16 UTC
It looks like in starting in JMeter 3.0, the Request tab of View Result Tree listener no longer display full content of HTTP request entity when sending a PUT. This feature was available in JMeter 2.9 and is very helpful to debug when entity is a composition of evaluated user variable values.

I'm requesting for this feature to be added back to JMeter 3.0.

Below is a snippet of what's shown on the Request tab of View Result Tree listener.

PUT data:
<actual file content, not shown here>
Comment 1 Felix Schumacher 2016-09-15 19:04:49 UTC
Created attachment 34255 [details]
Add shortened PUT body to sampler result
Comment 2 Sebb 2016-09-15 20:55:26 UTC
If the PUT body is derived from a file, we could/should just include the file name instead
Comment 3 Philippe Mouawad 2016-09-17 11:26:09 UTC
+1 for patch integration.
Comment 4 Felix Schumacher 2016-09-24 12:45:52 UTC
Date: Sat Sep 24 12:44:48 2016
New Revision: 1762120

URL: http://svn.apache.org/viewvc?rev=1762120&view=rev
Log:
Add shortened version of the PUT body to sampler result.

Bugzilla Id: 60092

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/xdocs/usermanual/properties_reference.xml
Comment 5 Felix Schumacher 2016-09-24 12:54:15 UTC
Date: Sat Sep 24 12:52:29 2016
New Revision: 1762122

URL: http://svn.apache.org/viewvc?rev=1762122&view=rev
Log:
Followup to r1762120. Document changes. Bugzilla Id: 60092

Modified:
    jmeter/trunk/xdocs/changes.xml
Comment 6 Felix Schumacher 2016-09-24 12:58:48 UTC
When we include the filename, should we include it in POST request results, too?

Would the filename alone be sufficient? The file content could be produced dynamically in the test plan, couldn't it?

Where would you like to have the name placed (if we keep (part of) the content)? (I would place it in front, add a colon and put the clipped content behind it)
Comment 7 Scott 2016-10-19 18:22:30 UTC
Please bring back the JSON body display as well.
We dont always send files via put. We send JSON and we can no longer see it.
Comment 8 Philippe Mouawad 2016-11-12 14:14:50 UTC
(In reply to Felix Schumacher from comment #6)
> When we include the filename, should we include it in POST request results,
> too?
> 
> Would the filename alone be sufficient? The file content could be produced
> dynamically in the test plan, couldn't it?
> 
> Where would you like to have the name placed (if we keep (part of) the
> content)? (I would place it in front, add a colon and put the clipped
> content behind it)

Hi Felix,
I suggest we close this one as fixed and open a new bug for the remark you have here
Regards